Loading...
Searching...
No Matches
hfs.c File Reference

## Macros

#define | _(String)
#define | HFS_BLOCK_SIZES ((int[2]){512, 0})
#define | HFSP_BLOCK_SIZES ((int[2]){512, 0})
#define | HFSX_BLOCK_SIZES ((int[2]){512, 0})

## Functions

int | hfs_close (PedFileSystem *fs)
PedConstraint * | hfs_get_resize_constraint (const PedFileSystem *fs)
PedFileSystem * | hfs_open (PedGeometry *geom)
int | hfs_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
int | hfsplus_close (PedFileSystem *fs)
PedConstraint * | hfsplus_get_resize_constraint (const PedFileSystem *fs)
PedFileSystem * | hfsplus_open (PedGeometry *geom)
int | hfsplus_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)

## Variables

uint8_t * | hfs_block = NULL
unsigned | hfs_block_count
uint8_t * | hfsp_block = NULL
unsigned | hfsp_block_count

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## HFS_BLOCK_SIZES

#define HFS_BLOCK_SIZES ((int[2]){512, 0})

## HFSP_BLOCK_SIZES

#define HFSP_BLOCK_SIZES ((int[2]){512, 0})

## HFSX_BLOCK_SIZES

#define HFSX_BLOCK_SIZES ((int[2]){512, 0})

## Variable Documentation

## hfs_block

uint8_t* hfs_block = NULL

## hfs_block_count

unsigned hfs_block_count

## hfsp_block

uint8_t* hfsp_block = NULL

## hfsp_block_count

unsigned hfsp_block_count